# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178238929164378/pydantic-settings-feedstock/recipe, last modified Thu Jun 25 12:08:28 2026
# ------------------------------------------------

package:
  name: pydantic-settings
  version: 2.14.2
source:
  url: https://pypi.org/packages/source/p/pydantic-settings/pydantic_settings-2.14.2.tar.gz
  sha256: c19dd64b19097f1de80184f0cc7b0272a13ae6e170cbf240a3e27e381ed14a5f
build:
  number: '0'
  script: /home/task_178238929164378/croot/pydantic-settings_1782389336487/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - hatchling 1.29.0 py314h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_1
    - libffi 3.4.8 h06d3fd0_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.1 h47b2149_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.2 h47b2149_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.7 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pathspec 1.0.4 py314h06a4308_0
    - pip 26.1.2 pyh0d26453_0
    - pluggy 1.6.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.6 h4bdf6f9_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.53.2 h795bf6d_0
    - tk 8.6.15 h54e0aa7_0
    - trove-classifiers 2026.1.14.14 py314h06a4308_0
    - tzdata 2026b he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.2 h47b2149_0
    - zstd 1.5.7 h11fc155_0
  run:
    - pydantic >=2.7.0
    - python >=3.14,<3.15.0a0
    - python-dotenv >=0.21.0
    - python_abi 3.14.* *_cp314
    - typing-inspection >=0.4.0
  run_constrained:
    - azure-identity >=1.16.0
    - azure-keyvault-secrets >=4.8.0
    - boto3>=1.35.0
    - google-cloud-secret-manager>=2.23.1
    - pyyaml >=6.0.1
    - tomli >=2.0.1
test:
  source_files:
    - tests
  imports:
    - pydantic_settings
  commands:
    - pip check
    - python -m pytest -v tests --ignore=tests/test_docs.py --ignore=tests/test_source_cli.py
  requires:
    - pip
    - pytest
    - pytest-mock
about:
  home: https://github.com/pydantic/pydantic-settings
  summary: Settings management using Pydantic
  license: MIT
  license_family: MIT
  license_file: LICENSE
  description: 'Pydantic Settings provides optional Pydantic features for loading
    a settings or config class from environment

    variables or secrets files.

    '
  dev_url: https://github.com/pydantic/pydantic-settings
  doc_url: https://pydantic.dev/docs/validation/latest/concepts/pydantic_settings/
extra:
  recipe-maintainers:
    - fhoehle
    - jan-janssen
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/pydantic-settings-feedstock
  sha: 4ac075f3f4e5b96c960feda2e0194cf2786b47cf
  task_id: TbazjrV3TGK_SPTn_7mEfA
  task_run_id: '0'
  pbp_graph_uuid: aaebd996-c96e-4145-abc2-f430e1fadd65
